

let  teams = "";



$.getJSON('data.json',function(data){
    console.log(data);
    teams = data;
});
const searchField = document.querySelector('#search');
const searchResultsContainer = document.querySelector('#searchresult');

searchField.addEventListener('input', (e) => {

    // if input field is empty, clear the search results
    if(e.target.value === '') {
        searchResultsContainer.innerHTML = '';
        $('.team-list') .css('padding','0px');
        return;
    }

    // filter the meals array
    const searchResults = teams.filter(team=> {
        return team.title.toLowerCase().includes(e.target.value.toLowerCase());
    });

    // before displaying the search results, clear the search results div
    searchResultsContainer.innerHTML = '';
    $(".team-list") .css("padding",'0px');
    // display the titles of the meal objects that include the text entered in input field
    searchResults.forEach((element, index) => {
        const div = document.createElement('div');
        div.textContent = element.title;
        searchResultsContainer.appendChild(div);
        $('.team-list') .css('padding','5px 0px');
    });

});
